WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP Vanilla Connect

This plugin allows your WordPress users to authenticate and login to Vanilla forums like Facebook Connect.

Does this plugin work with the addon that comes with Vanilla?

No, not offically. I have tested this under my own server configuration and everything works just fine. I can't however garantee it works for everyone becuase the VanillaForums plugin is pretty old and not updated for a long time. If you have issues just paste the javascript embed code directly into a page. This also works just fine for my setup. There are ways to hook into WP using filters and actions if you need something more advanced.

Can I disable the other login methods in Vanilla?

Yes, you can set Vanilla to only use SSO plugins and disable all other methods. However, you cannot remove the login button which pop's up the SSO WordPress login link as well as HTML that will NOT work if a user types there username and password. They MUST use the jsConnect login URL.

Will my users be auto logged into Vanilla forums?

Yes and no, If someone logs on from the forums they will be redirected and logged in automatically. If they are already logged in to WordPress you will need to send them thru the special jsConnect URL, otherwise they will not be logged in just by hitting the landing page of Vanilla.

Will Vanilla share my theme settings files?

No, This plugin is similar to Facebook Connect. It only authenticates WordPress users in Vanilla. That's it.

Who is developing jsConnect and how do I request features?

jsConnect is maintained by a Vanilla co-founder by the name of Todd and in now favored over the older ProxyConnect addon.

I have users connecting with WP Vanilla Connect, can I change my hash codes?

You can, but I would not recommend it. Each Vanilla user that was created with the old hashes will be required to re-link their accounts. You should enable the new "Protect Data" option and copy and paste them in a safe place in case you need to restore your settings.

Requires: 3.0 or higher
Compatible up to: 3.3.2
Last Updated: 2012-2-12
Downloads: 3,563

Ratings

4 stars
4.2 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,2,2
100,1,1
100,1,1
100,1,1